using System;

namespace MysteriousMessage
{
    class Program
    {
        static void Main(string[] args)
        {
            // Inicijalizacija promenljivih za rezultate na poluvremenu i kraju utakmice
            int a = 0, b = 0, x = 0, y = 0;

            // Unos rezultata na poluvremenu i kraju utakmice
            Console.Write("Unesite rezultate na poluvremenu i kraju utakmice (a b x y): ");
            string[] results = Console.ReadLine().Split(' ');
            a = Convert.ToInt32(results[0]);
            b = Convert.ToInt32(results[1]);
            x = Convert.ToInt32(results[2]);
            y = Convert.ToInt32(results[3]);

            // Provera ko ce dati sledeci gol
            if (a > b && x > y)
            {
                Console.WriteLine("prvi");
            }
            else if (a < b && x < y)
            {
                Console.WriteLine("drugi");
            }
            else if (a == b && x == y)
            {
                Console.WriteLine("nijedan");
            }
            else
            {
                Console.WriteLine("?");
                Console.ReadLine();
            }
        }
    }
}